Name:           unix2_chkpwd
BuildRequires:  pam-devel
#
Version:        1.3.0
Release:        2.24
Summary:        A Security Tool that Provides Authentication for Applications
License:        GPL-2.0+ or BSD-3-Clause
Group:          System/Libraries

Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# Remove with next version update:
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
unix2_chkpwd

%prep
%setup -q

%build
export CFLAGS="%optflags -DNDEBUG"
%__cc -fwhole-program -fpie -pie -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE %{optflags} unix2_chkpwd.c -o unix2_chkpwd -lpam

%check

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8/
#
# Install unix2_chkpwd
install -m 755 unix2_chkpwd $RPM_BUILD_ROOT/usr/sbin/
install -m 644 unix2_chkpwd.8 $RPM_BUILD_ROOT%{_mandir}/man8/


%files
%defattr(-,root,root)
%doc %{_mandir}/man8/unix2_chkpwd.8.gz
%attr(4755,root,root) /usr/sbin/unix2_chkpwd


%changelog
* Thu Nov 5 2020 stefan.bluhm@clacee.eu
- First package
